## ocaml-csv 1.1.6

=== Makefile ===
# $Id: Makefile,v 1.10 2006/11/24 09:43:15 rich Exp $

include Makefile.config

# To enable support for Extlib, also uncomment 'open ExtList' at the top
# of file csv.ml.

OCAMLCINCS	:=
#OCAMLCINCS	:= -package extlib
OCAMLCFLAGS	:= -g
OCAMLCLIBS	:=
#OCAMLCLIBS	:= -linkpkg

OCAMLOPTINCS	:= $(OCAMLCINCS)
OCAMLOPTFLAGS	:=
OCAMLOPTLIBS	:=
#OCAMLOPTLIBS	:= -linkpkg

OBJS		:= csv.cmo
XOBJS		:= $(OBJS:.cmo=.cmx)

OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)

all: csv.cma csv.cmxa example csvtool

csv.cma: $(OBJS)
	ocamlfind ocamlc $(OCAMLCINCS) $(OCAMLCFLAGS) -a -o $@ $^

csv.cmxa: $(XOBJS)
	ocamlfind ocamlopt $(OCAMLOPTINCS) $(OCAMLOPTFLAGS) -a -o $@ $^

example: csv.cma example.ml
	ocamlfind ocamlc $(OCAMLCINCS) $(OCAMLCFLAGS) $(OCAMLCLIBS) $^ -o $@

test:	csv.cma test.ml
	ocamlfind ocamlc $^ -o $@
	./test

csvtool: csv.cmxa csvtool.ml
	ocamlfind ocamlopt $(OCAMLOPTINCS) $(OCAMLOPTFLAGS) $(OCAMLOPTLIBS) $^ -o $@

# Common rules for building OCaml objects.

.mli.cmi:
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) -c $<
.ml.cmo:
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) -c $<
.ml.cmx:
	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTINCS) -c $<

.SUFFIXES:	.cmo .cmi .cmx .ml .mli

# Clean.

clean:
	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *~ core csvtool example

# Dependencies.

depend: .depend

.depend: $(wildcard *.mli) $(wildcard *.ml)
	rm -f .depend
	ocamldep $^ > $@

ifeq ($(wildcard .depend),.depend)
include .depend
endif

# Build a distribution.

dist:
	$(MAKE) check-manifest
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	@for d in `find -type d -name CVS | grep -v '^\./debian/'`; \
	do \
	b=`dirname $$d`/; \
	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
	sed -e "s|^|$$b|" -e "s|^\./||"; \
	done | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; rv=$$?; \
	rm -f .orig-manifest .check-manifest; \
	exit $$rv

# Developer documentation (in html/ subdirectory).

doc:
	rm -rf html
	mkdir html
	-ocamlfind ocamldoc $(OCAMLDOCFLAGS) -d html csv.ml{i,}

.PHONY: depend dist check-manifest doc

## ocaml-csv 1.1.7

=== debian/changelog ===
ocaml-csv (1.1.7-2build1) lucid; urgency=low

  * No-change rebuild for OCaml 3.11.2 transition (LP: #527627).

 -- Ilya Barygin <barygin@gmail.com>  Thu, 25 Feb 2010 20:53:19 +0300

ocaml-csv (1.1.7-2) unstable; urgency=low

  * Switch to dh-ocaml 0.9
  * Switch to 3.0 (quilt)
  * debian/control:
    - update my e-mail address, remove DMUA
    - move to section ocaml (keep csvtool in utils)
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 17:22:15 +0100

ocaml-csv (1.1.7-1) unstable; urgency=low

  * New Upstream Version
  * Add DM-Upload-Allowed to debian/control
  * Switch packaging to git
  * Use TopGit for patches:
    - replace build-dependency to dpatch by quilt
    - add README.source
    - remove patch concerning META (now shipped upstream)
    - split 01_Makefile_extlib.dpatch into fixes/makefile and
      debian/use-extlib
  * Use debhelper 7 and dh-ocaml
  * Bump Standards-Version to 3.8.0
  * Switch copyright to new format

 -- Stephane Glondu <steph@glondu.net>  Tue, 03 Mar 2009 23:31:49 +0100

ocaml-csv (1.1.6-3) unstable; urgency=low

  * Fix 01_Makefile_extlib.dpatch to handle architectures where
    native code is not available.
  * Fix debian/watch.

 -- Stephane Glondu <steph@glondu.net>  Thu, 07 Feb 2008 02:36:22 +0100

ocaml-csv (1.1.6-2) unstable; urgency=low

  * Fix libcsv-ocaml-dev.install.in (did not work for achitectures
    where native code is not available).
  * Added debian/watch.

 -- Stephane Glondu <steph@glondu.net>  Mon, 04 Feb 2008 00:30:32 +0100

ocaml-csv (1.1.6-1) unstable; urgency=low

  * Initial release, closes: #453953.
  * Added install, byte, opt targets to Makefile.
  * META file generation.
  * Use extlib.
  * dash compatibility.
  * Added a manpage for csvtool.
  * Install upstream examples.

 -- Stephane Glondu <steph@glondu.net>  Tue, 15 Jan 2008 21:47:45 +0100

=== debian/control ===
Source: ocaml-csv
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 libextlib-ocaml-dev (>= 1.5.1-5~),
 xsltproc,
 docbook-xsl
Standards-Version: 3.8.3
Section: ocaml
Homepage: http://merjis.com/developers/csv
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-csv.git

Package: libcsv-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Suggests: csvtool
Description: a library to read and write CSV files in OCaml
 OCaml CSV is a library to read and write CSV (comma-separated values)
 files.  It also supports all extensions used by Excel - eg. quotes,
 newlines, 8 bit characters in fields, etc.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use OCaml CSV.

Package: csvtool
Section: utils
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: a handy command line tool for handling CSV files
 OCaml CSV is a library to read and write CSV (comma-separated values)
 files.  It also supports all extensions used by Excel - eg. quotes,
 newlines, 8 bit characters in fields, etc.
 .
 This package contains csvtool, a handy command line tool for handling
 CSV files from shell scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

OCAML_RUN := $(if $(OCAML_OPT_ARCH),ocaml-base-nox-$(OCAML_ABI))
OPTTARGET := $(if $(OCAML_OPT_ARCH),opt)

DB2MAN := /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet

%:
	dh --with ocaml $@

debian/csvtool.1: debian/csvtool.dbk
	$(XP) -o $@ $(DB2MAN) $<

.PHONY: override_dh_auto_build
override_dh_auto_build: debian/csvtool.1
	$(MAKE) depend
	$(MAKE) OCAMLCINCS="-package extlib" OCAMLCLIBS="-linkpkg" OCAMLOPTLIBS="-linkpkg" byte $(OPTTARGET) doc
	$(MAKE) OCAMLCINCS="-package extlib" OCAMLCLIBS="-linkpkg" OCAMLOPTLIBS="-linkpkg" test

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -Rf html
	cp debian/upstream.depend .depend

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	$(MAKE) install
	cp csvtool.$(OCAML_BEST) $(CURDIR)/debian/tmp/usr/bin/csvtool

=== debian/watch ===
version=3
http://merjis.com/developers/csv /_file/ocaml-csv-(.*)\.tar\.gz

## ocaml-csv 1.2.0

=== Makefile ===
ROOT=.
include $(ROOT)/Makefile.conf

.PHONY: default all opt byte native install uninstall htdoc doc tests examples
default: byte opt
all: byte
opt: native
htdoc: doc
byte native install uninstall doc:
	$(MAKE) -C src $@
tests examples: byte
	$(MAKE) -C $@

csv.godiva: csv.godiva.in
	@ sed -e "s/@PACKAGE@/$(PACKAGE)/" $< \
	| sed -e "s/@VERSION@/$(VERSION)/" \
	| sed -e "s/@TARBALL@/$(TARBALL)/" \
	| sed -e "s/@DOWNLOAD@/$(OCAMLFORGE_FILE_NO)/" > $@
	@ echo "Updated \"$@\"."

# Assume the environment variable $GODI_LOCALBASE is set
.PHONY: godi
godi: csv.godiva
	godiva $<

# "Force" a tag to be defined for each released tarball
tar:
	bzr export /tmp/$(TARBALL) -r "tag:$(VERSION)"
	@echo "Created tarball '/tmp/$(TARBALL)'."

.PHONY: web
web: doc
	$(MAKE) -C doc $@

.PHONY: clean
clean:
	$(RM) $(wildcard *~ *.pdf *.ps *.png *.svg) csv.godiva
	$(MAKE) -C src $@
	$(MAKE) -C tests $@

=== examples/Makefile ===
ROOT=..
include $(ROOT)/Makefile.conf

OCAMLINCLUDES = $(ROOT)/src
LIBS_CMA  = csv.cma
LIBS_CMXA = csv.cmxa

default: example.exe csvtool

csvtool: csvtool.exe
	cp $< $@


include $(ROOT)/Makefile.ocaml

=== src/Makefile ===
ROOT=..
include $(ROOT)/Makefile.conf

# Native code versions must be installed if and only if make opt was
# called previously (i.e. the files exist):
INSTALL_FILES = csv.mli $(wildcard *.cmi *.cma *.cmx *.a *.cmxa)

.PHONY: default all opt byte native
default: opt
all: byte
opt: native
byte: csv.cma
native: csv.cmxa

csv.cma: csv.cmo
csv.cmxa: csv.cmx

.PHONY: install uninstall
# TODO: copy HTML doc
install: META $(INSTALL_FILES)
	ocamlfind install $(PACKAGE) $^

uninstall:
	ocamlfind remove $(PACKAGE)

META: META.in
	@ sed -e "s/@PACKAGE@/$(PACKAGE)/" $< \
	| sed -e "s/@VERSION@/$(VERSION)/" > $@
	@ echo "Updated \"$@\"."


# Make.bat -- easy compilation on win32
Make.bat:
	$(MAKE) clean
#	Filter out all "make" messages
	$(MAKE) all | grep --invert-match "make" > $@

include $(ROOT)/Makefile.ocaml

=== debian/changelog ===
ocaml-csv (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #572090)
  * Upgrade Standards-Version to 3.8.4 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 01 Mar 2010 22:40:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: ocaml-csv
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: 
+ Stéphane Glondu <glondu@debian.org>,
+ Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-ocaml (>= 0.9),
@@ -10,9 +12,9 @@
  libextlib-ocaml-dev (>= 1.5.1-5~),
  xsltproc,
  docbook-xsl
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Section: ocaml
-Homepage: http://merjis.com/developers/csv
+Homepage: http://forge.ocamlcore.org/projects/csv/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-csv.git

## ocaml-csv 1.2.1

=== Makefile ===
--- 
+++ 
@@ -35,5 +35,7 @@
 .PHONY: clean
 clean:
 	$(RM) $(wildcard *~ *.pdf *.ps *.png *.svg) csv.godiva
+	$(RM) -rf $(DOC_DIR)
 	$(MAKE) -C src $@
 	$(MAKE) -C tests $@
+	$(MAKE) -C examples $@

=== examples/Makefile ===
--- 
+++ 
@@ -10,5 +10,8 @@
 csvtool: csvtool.exe
 	cp $< $@
 
+clean::
+	$(RM) $(wildcard csvtool *.exe)
+
 
 include $(ROOT)/Makefile.ocaml

=== tests/Makefile ===
ROOT=..
include $(ROOT)/Makefile.conf

OCAMLINCLUDES = $(ROOT)/src
LIBS_CMA  = csv.cma
LIBS_CMXA = csv.cmxa

default: test.exe
	./$<


include $(ROOT)/Makefile.ocaml

=== debian/changelog ===
ocaml-csv (1.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - remove libextlib-ocaml-dev from Build-Depends (Closes: #589457)
    - bump Standards-Version to 3.9.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Jul 2010 12:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ocaml-csv
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
+Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
@@ -9,10 +9,9 @@
  dh-ocaml (>= 0.9),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
- libextlib-ocaml-dev (>= 1.5.1-5~),
  xsltproc,
  docbook-xsl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(CURDIR)/debian/libcsv-ocaml-dev/$(OCAML_STDLIB_DIR)

OCAML_RUN := $(if $(OCAML_OPT_ARCH),ocaml-base-nox-$(OCAML_ABI))
OPTTARGET := $(if $(OCAML_OPT_ARCH),opt)

DB2MAN := /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet

%:
	dh --with ocaml $@

debian/csvtool.1: debian/csvtool.dbk
	$(XP) -o $@ $(DB2MAN) $<

.PHONY: override_dh_auto_build
override_dh_auto_build: debian/csvtool.1
	$(MAKE) byte $(OPTTARGET) 
	$(MAKE) tests
	$(MAKE) examples

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install

## ocaml-csv 1.2.2

=== Makefile ===
PKGNAME	    = $(shell oasis query name)
PKGVERSION  = $(shell oasis query version)
PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz
OCAMLFORGE_FILE_NO = 420

DISTFILES   = LICENSE.txt AUTHORS.txt INSTALL.txt README.txt _oasis \
  _tags src/META Makefile setup.ml myocamlbuild.ml API.odocl \
  $(wildcard src/) $(wildcard examples/) $(wildcard tests/)

WEB = shell.forge.ocamlcore.org:/home/groups/csv/htdocs

.PHONY: all byte native configure doc test install uninstall reinstall \
  upload-doc

all byte native: configure
	ocaml setup.ml -build

configure: setup.ml
	ocaml $< -configure

setup.ml: _oasis
	oasis setup

test doc install uninstall reinstall: all
	ocaml setup.ml -$@

upload-doc: doc
	scp -C -p -r _build/API.docdir $(WEB)

csv.godiva: csv.godiva.in
	@ sed -e "s/@PACKAGE@/$(PKGNAME)/" $< \
	| sed -e "s/@VERSION@/$(PKGVERSION)/" \
	| sed -e "s/@TARBALL@/$(PKG_TARBALL)/" \
	| sed -e "s/@DOWNLOAD@/$(OCAMLFORGE_FILE_NO)/" > $@
	@ echo "Updated \"$@\"."

# Assume the environment variable $GODI_LOCALBASE is set
.PHONY: godi tar dist web
godi: csv.godiva
	godiva $<

# "Force" a tag to be defined for each released tarball
dist tar: setup.ml
	@ if [ -z "$(PKGNAME)" ]; then echo "PKGNAME not defined"; exit 1; fi
	@ if [ -z "$(PKGVERSION)" ]; then \
		echo "PKGVERSION not defined"; exit 1; fi
	mkdir $(PKGNAME)-$(PKGVERSION)
	cp -r $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/
	tar -zcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION)
	$(RM) -rf $(PKGNAME)-$(PKGVERSION)

web: doc
	$(MAKE) -C doc $@

.PHONY: clean distclean
clean::
	ocaml setup.ml -clean
	$(RM) $(PKG_TARBALL)

distclean:
	ocaml setup.ml -distclean
	$(RM) $(wildcard *.ba[0-9] *.bak *~ *.odocl) setup.log

=== debian/changelog ===
ocaml-csv (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 22:35:33 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  ocaml-findlib (>= 1.2.5),
  xsltproc,
  docbook-xsl
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
@@ -26,7 +26,7 @@
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Suggests: csvtool
-Description: a library to read and write CSV files in OCaml
+Description: library to read and write CSV files in OCaml
  OCaml CSV is a library to read and write CSV (comma-separated values)
  files.  It also supports all extensions used by Excel - eg. quotes,
  newlines, 8 bit characters in fields, etc.
@@ -41,7 +41,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
-Description: a handy command line tool for handling CSV files
+Description: handy command line tool for handling CSV files
  OCaml CSV is a library to read and write CSV (comma-separated values)
  files.  It also supports all extensions used by Excel - eg. quotes,
  newlines, 8 bit characters in fields, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/libcsv-ocaml-dev

include /usr/share/ocaml/ocamlvars.mk

DB2MAN := /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

debian/csvtool.1: debian/csvtool.dbk
	$(XP) -o $@ $(DB2MAN) $<

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libcsv-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build: debian/csvtool.1
	ocaml setup.ml -build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-csv 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 PKGNAME	    = $(shell oasis query name)
 PKGVERSION  = $(shell oasis query version)
 PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz
-OCAMLFORGE_FILE_NO = 420
+OCAMLFORGE_FILE_NO = 1148
 
-DISTFILES   = LICENSE.txt AUTHORS.txt INSTALL.txt README.txt _oasis \
-  _tags src/META Makefile setup.ml myocamlbuild.ml API.odocl \
-  $(wildcard src/) $(wildcard examples/) $(wildcard tests/)
+DISTFILES   = LICENSE.txt INSTALL.txt README.md _oasis \
+  _tags Makefile setup.ml \
+  $(filter-out %~, $(wildcard src/*) $(wildcard examples/*) $(wildcard tests/*))
 
 WEB = shell.forge.ocamlcore.org:/home/groups/csv/htdocs
 
@@ -19,13 +19,17 @@
 	ocaml $< -configure
 
 setup.ml: _oasis
-	oasis setup
+	oasis setup -setup-update dynamic
 
 test doc install uninstall reinstall: all
 	ocaml setup.ml -$@
 
 upload-doc: doc
 	scp -C -p -r _build/API.docdir $(WEB)
+
+csvtool: all
+	./csvtool.native pastecol 1-3 2,1,2 \
+	  tests/testcsv9.csv tests/testcsv9.csv
 
 csv.godiva: csv.godiva.in
 	@ sed -e "s/@PACKAGE@/$(PKGNAME)/" $< \
@@ -45,7 +49,9 @@
 	@ if [ -z "$(PKGVERSION)" ]; then \
 		echo "PKGVERSION not defined"; exit 1; fi
 	mkdir $(PKGNAME)-$(PKGVERSION)
-	cp -r $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/
+	cp -r --parents $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/
+#	Generate a setup.ml independent of oasis
+	cd $(PKGNAME)-$(PKGVERSION) && oasis setup
 	tar -zcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION)
 	$(RM) -rf $(PKGNAME)-$(PKGVERSION)
 
@@ -59,4 +65,4 @@
 
 distclean:
 	ocaml setup.ml -distclean
-	$(RM) $(wildcard *.ba[0-9] *.bak *~ *.odocl) setup.log
+	$(RM) $(wildcard *.ba[0-9] *.bak *~ *.odocl)

=== debian/changelog ===
ocaml-csv (1.3.0-3b1) staging; urgency=low

  * No-change rebuild against updated ocaml libraries.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 01 Feb 2014 16:00:00 +0100

ocaml-csv (1.3.0-3) unstable; urgency=low

  * Fix compilation on non-native architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Jul 2013 12:30:12 +0200

ocaml-csv (1.3.0-2) unstable; urgency=low

  * Install bytecode csvtool on non-native arches.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 06 Jul 2013 20:18:57 +0800

ocaml-csv (1.3.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Lifeng Sun ]
  * New upstream release.
  * Add myself to Uploaders.
  * Fix csvtool installation.
  * debian/control: canonical VCS-* fields.
  * debian/copyright: switch to dep5 format.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 11 Jun 2013 09:25:08 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-ocaml (>= 0.9),
@@ -11,11 +11,11 @@
  ocaml-findlib (>= 1.2.5),
  xsltproc,
  docbook-xsl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-csv.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-csv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-csv.git
 
 Package: libcsv-ocaml-dev
 Architecture: any

## ocaml-csv 1.3.2

=== debian/changelog ===
ocaml-csv (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Jan 2014 15:10:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
  Stéphane Glondu <glondu@debian.org>,
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
  xsltproc,
  docbook-xsl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-csv.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DESTDIR=$(CURDIR)/debian/libcsv-ocaml-dev
+DESTDIR=$(CURDIR)/debian/tmp
 
 include /usr/share/ocaml/ocamlvars.mk
 
@@ -35,3 +35,7 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+.PHONY: override_dh_install
+override_dh_install:
+	dh_install --fail-missing

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=113 .*/csv-(.*)\.tar\.gz

## ocaml-csv 1.3.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	ocaml setup.ml -build
 
 configure: setup.ml
-	ocaml $< -configure
+	ocaml $< -configure --enable-tests
 
 setup.ml: _oasis
 	oasis setup -setup-update dynamic

=== debian/changelog ===
ocaml-csv (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Aug 2014 10:18:54 +0200

## ocaml-csv 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 PKGNAME	    = $(shell oasis query name)
 PKGVERSION  = $(shell oasis query version)
 PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz
-OCAMLFORGE_FILE_NO = 1148
 
 DISTFILES   = LICENSE.txt INSTALL.txt README.md _oasis \
   _tags Makefile setup.ml \
@@ -31,18 +30,6 @@
 	./csvtool.native pastecol 1-3 2,1,2 \
 	  tests/testcsv9.csv tests/testcsv9.csv
 
-csv.godiva: csv.godiva.in
-	@ sed -e "s/@PACKAGE@/$(PKGNAME)/" $< \
-	| sed -e "s/@VERSION@/$(PKGVERSION)/" \
-	| sed -e "s/@TARBALL@/$(PKG_TARBALL)/" \
-	| sed -e "s/@DOWNLOAD@/$(OCAMLFORGE_FILE_NO)/" > $@
-	@ echo "Updated \"$@\"."
-
-# Assume the environment variable $GODI_LOCALBASE is set
-.PHONY: godi tar dist web
-godi: csv.godiva
-	godiva $<
-
 # "Force" a tag to be defined for each released tarball
 dist tar: setup.ml
 	@ if [ -z "$(PKGNAME)" ]; then echo "PKGNAME not defined"; exit 1; fi
@@ -61,7 +48,7 @@
 .PHONY: clean distclean
 clean::
 	ocaml setup.ml -clean
-	$(RM) $(PKG_TARBALL)
+	$(RM) $(PKG_TARBALL) setup.data
 
 distclean:
 	ocaml setup.ml -distclean

=== debian/changelog ===
ocaml-csv (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 15:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
  xsltproc,
+ oasis,
  docbook-xsl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-csv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-csv.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/ocaml-csv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-csv.git
 
 Package: libcsv-ocaml-dev
 Architecture: any

## ocaml-csv 1.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz
 
 DISTFILES   = LICENSE.txt INSTALL.txt README.md _oasis \
-  _tags Makefile setup.ml \
+  _tags Makefile setup.ml _oasis_remove_.ml csv.install \
   $(filter-out %~, $(wildcard src/*) $(wildcard examples/*) $(wildcard tests/*))
 
 WEB = shell.forge.ocamlcore.org:/home/groups/csv/htdocs
@@ -30,8 +30,11 @@
 	./csvtool.native pastecol 1-3 2,1,2 \
 	  tests/testcsv9.csv tests/testcsv9.csv
 
+opam csv.install: _oasis
+	oasis2opam --local
+
 # "Force" a tag to be defined for each released tarball
-dist tar: setup.ml
+dist tar: setup.ml opam
 	@ if [ -z "$(PKGNAME)" ]; then echo "PKGNAME not defined"; exit 1; fi
 	@ if [ -z "$(PKGVERSION)" ]; then \
 		echo "PKGVERSION not defined"; exit 1; fi

=== debian/changelog ===
ocaml-csv (1.5-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:43:49 +0200

ocaml-csv (1.5-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 11:45:36 +0100

ocaml-csv (1.5-1) unstable; urgency=medium

  * New upstream release
  * Fix Vcs-Git
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 11:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ocaml-csv
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Lifeng Sun <lifongsun@gmail.com>
@@ -12,10 +13,10 @@
  xsltproc,
  oasis,
  docbook-xsl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/csv/
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/ocaml-csv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-csv.git
 
 Package: libcsv-ocaml-dev

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
+	$(MAKE) setup.ml
 	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libcsv-ocaml-dev
 
 .PHONY: override_dh_auto_build
@@ -34,7 +35,7 @@
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
-	ocaml setup.ml -distclean
+	if [ -f setup.ml ]; then ocaml setup.ml -distclean; fi
 
 .PHONY: override_dh_install
 override_dh_install:

## ocaml-csv 2.2

=== Makefile ===
PKGVERSION = $(shell git describe --always --dirty)

WEB = san@math.umons.ac.be:~/public_html/software/

build:
	dune build @install examples/example.exe -j 4

tests: build
	dune runtest --force

install uninstall clean:
	dune $@

doc: build
	sed -e 's/%%VERSION%%/$(PKGVERSION)/' src/csv.mli \
	  > _build/default/src/csv.mli
	dune build @doc
	echo '.def { background: #f0f0f0; }' >> _build/default/_doc/odoc.css

upload-doc: doc
	scp -C -p -r _build/default/_doc/csv/ $(WEB)
	scp -C -p -r _build/default/_doc/csv-lwt/ $(WEB)
	scp -C -p _build/default/_doc/odoc.css $(WEB)

csvtool: build
	dune exec csvtool pastecol 1-3 2,1,2 \
	  tests/testcsv9.csv tests/testcsv9.csv

example:
	dune exec examples/example.exe

submit:
	dune-release distrib
	dune-release publish distrib
	dune-release opam pkg -p csv
	dune-release opam pkg -p csv-lwt
# 	Perform the subtitution that dune-release does not
#	(until opam2, https://discuss.ocaml.org/t/sync-versions-of-several-packages-coming-from-a-single-repo/808/5)
	sed -e 's/\(^ *"csv"\) */\1 {= "$(PKGVERSION)"}/' --in-place \
	  _build/csv-lwt.$(PKGVERSION)/opam
# until we have https://github.com/ocaml/opam-publish/issues/38
	[ -d packages ] ||(echo "ERROR: Make a symbolic link packages → \
		opam-repo/packages"; exit 1)
	cp -r _build/csv.* packages/csv/
	cp -r _build/csv-lwt.* packages/csv-lwt/
	cd packages && git add csv csv-lwt
#	CONDUIT_TLS=native dune-release opam submit -n csv -n csv-lwt

.PHONY: build tests install uninstall doc upload-doc clean csvtool example submit

=== debian/changelog ===
ocaml-csv (2.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

  [ Ralf Treinen ]
  * Updated Homepage (closes: #855067, LP: #1582565). Thanks to Joshua
    Bayfield for the patch.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: ocaml-csv
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-ocaml (>= 0.9),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
+ dune,
+ opam-installer,
  xsltproc,
- oasis,
  docbook-xsl
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Section: ocaml
-Homepage: http://forge.ocamlcore.org/projects/csv/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-csv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-csv.git
+Homepage: https://github.com/Chris00/ocaml-csv
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-csv.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-csv
 
 Package: libcsv-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

DB2MAN := /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet

%:
	dh $@ --with ocaml

debian/csvtool.1: debian/csvtool.dbk
	$(XP) -o $@ $(DB2MAN) $<

override_dh_auto_build: debian/csvtool.1
	dune build -p csv

override_dh_auto_install:
	opam-installer --prefix=$(DESTDIR)/usr --libdir=../$(OCAML_STDLIB_DIR) csv.install
	rm -f $(DESTDIR)/usr/doc/csv/LICENSE.md

override_dh_auto_test:
	dune runtest -p csv

override_dh_missing:
	dh_missing --fail-missing

## ocaml-csv 2.4

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,11 @@
 	dune $@
 
 doc: build
-	sed -e 's/%%VERSION%%/$(PKGVERSION)/' src/csv.mli \
-	  > _build/default/src/csv.mli
 	dune build @doc
-	echo '.def { background: #f0f0f0; }' >> _build/default/_doc/odoc.css
+	sed -e 's/%%VERSION%%/$(PKGVERSION)/' --in-place \
+	  _build/default/_doc/_html/csv/Csv/index.html \
+	  _build/default/_doc/_html/csv-lwt/Csv_lwt/index.html
+
 
 upload-doc: doc
 	scp -C -p -r _build/default/_doc/csv/ $(WEB)

=== debian/changelog ===
ocaml-csv (2.4-1) unstable; urgency=medium

  * New upstream release
  * Remove Lifeng from Uploaders (Closes: #925076)
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Build-depend on debhelper-compat and remove debian/compat

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Dec 2019 12:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
- dune,
+ ocaml-dune,
+ libuutf-ocaml-dev,
  opam-installer,
  xsltproc,
  docbook-xsl
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/Chris00/ocaml-csv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-csv.git

=== debian/watch ===
version=3
https://github.com/Chris00/ocaml-csv/tags .*/(.*)\.tar\.gz
